%define name xsupplicant
%define version 1.0
%define release 2mdk

Summary: An open source implementation of IEEE 802.1X
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}.ssl.static.patch.bz2
License: GPL
Group: Networking/Other
Url: http://www.open1x.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires:	pcsc-lite
BuildRequires:	automake1.7
#BuildRequires:	autoconf2.5
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	openssl-devel
BuildRequires:	docbook-utils-pdf
BuildRequires:	qt3-devel
BuildRequires:	pcsc-lite-devel

%description
An open source implementation of IEEE 802.1X.

IEEE 802.1x is a port based authentication protocol. It can be used in *any*
scenario where one can abstract out the notion of a port. It requires
entitie(s) to play three roles in the authentication process: that of an
supplicant, an authenticator and an authentication server.

%package doc
Group:		Networking/Other
Summary:	Open source Implementation of the IEEE 802.1x protocol

%description doc
An open source implementation of IEEE 802.1X.

IEEE 802.1x is a port based authentication protocol. It can be used in *any*
scenario where one can abstract out the notion of a port. It requires
entitie(s) to play three roles in the authentication process: that of an
supplicant, an authenticator and an authentication server.

%prep
%setup -q -n %name
%patch0 -p0

rm -f configure

%build
aclocal-1.7
automake-1.7
autoconf-2.5x

%configure --enable-eap-sim
%make
cd doc; ./builddocs.sh
cd ../gui_tools/gui/qt/qt_gremlin; qmake qt_gremlin_xsupplicant.pro; make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p %{buildroot}/etc/
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -m 644 etc/xsupplicant.conf %{buildroot}/etc/xsupplicant.conf
install -m 755 gui_tools/gui/qt/qt_gremlin/qt_gremlin_xsupplicant %{buildroot}/%{_sbindir}/qt_gremlin_xsupplicant
install -m 644 gui_tools/gui/qt/qt_gremlin/README %{buildroot}/usr/share/doc/%{name}-%{version}/README.qt_gremlin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING AUTHORS CONTRIBUTIONS INSTALL
%doc README README.wireless_cards doc/README.certificates
%doc etc/*example.conf
%config(noreplace)/etc/xsupplicant.conf
%{_bindir}/config-parser
%{_bindir}/xsup_monitor
%{_bindir}/xsup_set_pwd
%{_sbindir}/xsupplicant
%{_sbindir}/qt_gremlin_xsupplicant

%files doc
%defattr(-,root,root)
%doc doc/html doc/txt doc/pdf

%changelog
* Fri Jul 23 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.0-2mdk
- Add config file
- Add doc
- Add EAP-SIM auth support

* Thu Jun 17 2004 Stefan van der Eijk <stefan@eijk.nu> 1.0-1mdk
- 1.0
- BuildRequires

* Fri May 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.pre2.1mdk
- 1st mdk contrib

